> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Component Instances

> Gets all component instances matching query parameters



## OpenAPI

````yaml GET /components/instances
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /components/instances:
    parameters: []
    get:
      tags:
        - Component Instances
      summary: Get Component Instances
      description: Gets all component instances matching query parameters
      operationId: get-components-instances
      parameters:
        - schema:
            type: string
          in: query
          name: id
          description: Component's Serial backend id
        - schema:
            type: string
          in: query
          name: identifier
          description: >-
            User facing name of the component (must match exactly, is case
            senstitive)
        - schema:
            type: string
          in: query
          name: component_type
          description: Component's Type (either SN or LOT)
        - schema:
            type: string
          in: query
          name: status
          description: Component's Status (WIP, PLANNED, DEFECTIVE, COMPLETE)
        - schema:
            type: string
          in: query
          name: work_order_id
          description: Components associated to particular work order
        - schema:
            type: string
          in: query
          name: part_number_id
          description: Components associated with a specific part number
        - schema:
            type: boolean
          in: query
          name: show_children
          description: Show children for returned component instances
        - schema:
            type: boolean
          in: query
          name: show_parents
          description: Show parents for returned component instances
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Component-instance'
                  x-stoplight:
                    id: c6q4w2l5ookhw
components:
  schemas:
    Component-instance:
      title: component-instance
      x-stoplight:
        id: txo4abh268xyy
      type: object
      required:
        - identifier
      properties:
        id:
          type: string
          x-stoplight:
            id: q1e4j8azje2d6
          format: uuid
        identifier:
          type: string
          x-stoplight:
            id: 3zam2sjlue49j
        component_id:
          type: string
          x-stoplight:
            id: al7s5f2koy6lr
          format: uuid
        created_at:
          type: string
          x-stoplight:
            id: 1rqczh5hdcnrb
          format: date-time
        status:
          x-stoplight:
            id: zw07jwnbdzal4
          enum:
            - WIP
            - PLANNED
            - DEFECTIVE
            - COMPLETE
        last_updated_at:
          type: string
          x-stoplight:
            id: 4twu33rlaqp6t
          format: date-time
        completed_at:
          type: string
          x-stoplight:
            id: 1ck8z6p6ate8v
          format: date-time
        part_number_id:
          type: string
          x-stoplight:
            id: r1ww4suk58vr3
          format: uuid
        is_archived:
          type: boolean
          x-stoplight:
            id: k32qr8bl0hfyi
        work_order_id:
          type: string
          x-stoplight:
            id: wnct3zotkpftt
          format: uuid
        latitude:
          type: number
          x-stoplight:
            id: lvy1o6zczal1y
          format: float
        longitude:
          type: number
          x-stoplight:
            id: mzs8giqaa6bck
          format: float
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````